Esc

List accounts

Retrieve a paginated list of the virtual accounts on your business, newest first.

List virtual accounts

Returns the accounts on your business only, newest first.

GET /account/list

GET requests have no body, so they only need x-api-key and x-timestamp. See Authentication.

Query parameters

page integer optional Default 1
Page number.
limit integer optional Default 10
Number of accounts per page.

Response: account object

bankName string
Name of the bank. Always Palmpay.
accountNumber string
10-digit virtual account number.
email string
Email address associated with the account.
accountName string
Name of the account holder.
createdAt string
ISO 8601 time the account was created.

Response: pagination object

page integer
Current page number.
limit integer
Number of items per page.
total integer
Total number of accounts.
pages integer
Total number of pages.

Errors

StatusExample message
401Invalid API key
500Internal server error
curl -X GET 'https://api.gafiapay.com/api/v1/external/account/list?page=1&limit=10' \
  -H 'x-api-key: your_api_key' \
  -H 'x-timestamp: 1678901234567'
{
  "status": "success",
  "data": [
    {
      "bankName": "Palmpay",
      "accountNumber": "1234567890",
      "email": "user@example.com",
      "accountName": "John Doe",
      "createdAt": "2024-03-20T10:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 1,
    "pages": 1
  }
}
GafiaPayGafiaPayDocs
Guide for AI agents Dashboard